# PSF-LoginServer - master - net.psforever.objects.avatar.BattleRank
PSF - LoginServer - master - net.psforever.objects.avatar.BattleRank
Keywords: PSF LoginServer master net.psforever.objects.avatar.BattleRank

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
- Avatar
- Avatars
- BattleRank
- Certification
- CommandRank
- CorpseControl
- Cosmetic
- DeployableToolbox
- FirstTimeEvents
- Implant
- LoadoutManager
- PlayerControl
- SpecialCarry

o

net.psforever.objects.avatar

# BattleRank 

###
Companion class BattleRank

#### case object BattleRank extends IntEnum[BattleRank] with Product with Serializable

Source
  BattleRank.scala

Linear Supertypes
Serializable, Product, Equals, IntEnum[BattleRank], ValueEnum[Int, BattleRank], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BattleRank
2. Serializable
3. Product
4. Equals
5. IntEnum
6. ValueEnum
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  macro def findValues: IndexedSeq[BattleRank]
   Attributes
     protected
   Definition Classes
     IntEnum
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementName(n: Int): String
    Definition Classes
      Product
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  val values: IndexedSeq[BattleRank]
    Definition Classes
      BattleRank → ValueEnum
19.  final lazy val valuesToEntriesMap: Map[Int, BattleRank]
    Definition Classes
      ValueEnum
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  def withExperience(experience: Long): BattleRank

    Find BattleRank variant for given experience value

24.  def withExperienceOpt(experience: Long): Option[BattleRank]

    Find BattleRank variant for given experience value

25.  def withValue(i: Int): BattleRank
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
26.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], BattleRank]
    Definition Classes
      ValueEnum
27.  def withValueOpt(i: Int): Option[BattleRank]
    Definition Classes
      ValueEnum
28.  case object BR1 extends BattleRank with Product with Serializable
29.  case object BR10 extends BattleRank with Product with Serializable
30.  case object BR11 extends BattleRank with Product with Serializable
31.  case object BR12 extends BattleRank with Product with Serializable
32.  case object BR13 extends BattleRank with Product with Serializable
33.  case object BR14 extends BattleRank with Product with Serializable
34.  case object BR15 extends BattleRank with Product with Serializable
35.  case object BR16 extends BattleRank with Product with Serializable
36.  case object BR17 extends BattleRank with Product with Serializable
37.  case object BR18 extends BattleRank with Product with Serializable
38.  case object BR19 extends BattleRank with Product with Serializable
39.  case object BR2 extends BattleRank with Product with Serializable
40.  case object BR20 extends BattleRank with Product with Serializable
41.  case object BR21 extends BattleRank with Product with Serializable
42.  case object BR22 extends BattleRank with Product with Serializable
43.  case object BR23 extends BattleRank with Product with Serializable
44.  case object BR24 extends BattleRank with Product with Serializable
45.  case object BR25 extends BattleRank with Product with Serializable
46.  case object BR3 extends BattleRank with Product with Serializable
47.  case object BR4 extends BattleRank with Product with Serializable
48.  case object BR5 extends BattleRank with Product with Serializable
49.  case object BR6 extends BattleRank with Product with Serializable
50.  case object BR7 extends BattleRank with Product with Serializable
51.  case object BR8 extends BattleRank with Product with Serializable
52.  case object BR9 extends BattleRank with Product with Serializable

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from IntEnum[BattleRank]

### Inherited from ValueEnum[Int, BattleRank]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped